MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000714XdebugUsage problems (Wrong Results)public2011-09-01 17:132011-09-18 16:50
Reportersoulseekah 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000714: KCachegrind Crashes
DescriptionXdebug appears to be generating some buggy cachegrind lines which make KCachegrind crash.

A KCachegrind bug has been filed with a more detailed description of the problem and a provided patch. Please refer to https://bugs.kde.org/show_bug.cgi?id=280968 [^]
Steps To ReproduceDownload the attached cachegrind and PHP source code file from https://bugs.kde.org/show_bug.cgi?id=280968 [^] and open in KCachegrind, select {main} function and view Source - KCachegrind should hang.
Additional Information"It is because the following lines in the dump file:

 ...
 fl=...index.php
 fn={main}
 ...
 172878212 113

The last line is problematic. I have no idea why xdebug writes
it, but this is definitely buggy. It says that in line number
172878212 of file index.php there is a cost of 113. You should
send this as bug report to xdebug." ~ https://bugs.kde.org/show_bug.cgi?id=280968#c6 [^]
TagsNo tags attached.
Operating SystemLinux 2.6.32-33-generic i686 Ubuntu 10.04.3 LTS
PHP Version5.3.6
Attached Files

- Relationships

-  Notes
(0001798)
soulseekah (reporter)
2011-09-01 17:16

Forgot to add, tried on PHP version 5.3.8 XDebug 2.1.2 and PHP 5.3.2 with XDebug 2.1.1
(0001801)
derick (administrator)
2011-09-18 16:50

Fixed on github for 2.1.3 and 2.2dev.

- Issue History
Date Modified Username Field Change
2011-09-01 17:13 soulseekah New Issue
2011-09-01 17:16 soulseekah Note Added: 0001798
2011-09-18 16:50 derick Note Added: 0001801
2011-09-18 16:50 derick Status new => closed
2011-09-18 16:50 derick Assigned To => derick
2011-09-18 16:50 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker